Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class AnnotatedSourceForeignKey

    java.lang.Object
      unity.annotation.SourceKey
          unity.annotation.SourceForeignKey
              unity.annotation.AnnotatedSourceForeignKey

    public class AnnotatedSourceForeignKey

extends SourceForeignKey

Constructor Summary
`AnnotatedSourceForeignKey()`
`AnnotatedSourceForeignKey(SourceTable table)`
`AnnotatedSourceForeignKey(SourceTable table, java.util.ArrayList keyFields, java.util.ArrayList newKeyNames, java.lang.String keyName, java.lang.String toTableName)`

Method Summary
`int` | `getScope()`
`java.lang.String` | `getScopeName()`
`void` | `importXML(org.w3c.dom.Node x, java.util.HashMap sourceFields)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceForeignKey
`getFieldNames, getToKey, getToSourceTable, getToTableName, keyTypeToXML, setFieldNames, setToKey, setToSourceTable, setToTableName`

Methods inherited from class unity.annotation.SourceKey
`addField, getFields, getKeyType, getName, getTable, matchKeyFields, setKeyType, setName, setTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedSourceForeignKey

    public AnnotatedSourceForeignKey()

### AnnotatedSourceForeignKey

    public AnnotatedSourceForeignKey(SourceTable table)

### AnnotatedSourceForeignKey

    public AnnotatedSourceForeignKey(SourceTable table,
                                     java.util.ArrayList keyFields,
                                     java.util.ArrayList newKeyNames,
                                     java.lang.String keyName,
                                     java.lang.String toTableName)

Method Detail

### getScope

    public int getScope()

### getScopeName

    public java.lang.String getScopeName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceForeignKey`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceForeignKey`

### importXML

    public void importXML(org.w3c.dom.Node x,
                          java.util.HashMap sourceFields)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD